#==============================================================================

include Makefile-generic

BOOKS = generic-theory \
	dg-list \
	dg-binary \
	dg-natural \
	simplicial-complexes \
	my-member-lemmas \
	my-logbitp \
	logbitp \
	binary-remove-zeros \
	kenzo-remove-zeros \
	eat-general-properties \
	1dlop-dgop-binary-cmp-d-ls \
	1dlop-dgop-do-cmp-d-ls-d-do \
	help-invariant \
	generic-kenzo-properties-imp2 \
      increasing-list \
	delta

# Dependencies:

# - 1dlop-dgop-binary-cmp-d-ls
1dlop-dgop-binary-cmp-d-ls.cert: dg-list.cert
1dlop-dgop-binary-cmp-d-ls.cert: dg-binary.cert
1dlop-dgop-binary-cmp-d-ls.cert: binary-remove-zeros.cert
1dlop-dgop-binary-cmp-d-ls.cert: dg-natural.cert
1dlop-dgop-binary-cmp-d-ls.cert: top.cert
1dlop-dgop-binary-cmp-d-ls.cert: logbitp.cert

# - 1dlop-dgop-do-cmp-d-ls-d-do
1dlop-dgop-do-cmp-d-ls-d-do.cert: dg-list.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: dg-binary.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: binary-remove-zeros.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: my-logbitp.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: dg-natural.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: top.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: kenzo-remove-zeros.cert
1dlop-dgop-do-cmp-d-ls-d-do.cert: logbitp.cert

# - binary-remove-zeros
binary-remove-zeros.cert: dg-binary.cert
binary-remove-zeros.cert: dg-list.cert

# - dg-binary
dg-binary.cert: dg-list.cert

# - dg-list

# - dg-natural
dg-natural.cert: top.cert
dg-natural.cert: top.cert
dg-natural.cert: dg-binary.cert

# - eat-general-properties
eat-general-properties.cert: dg-list.cert

# - generic-kenzo-properties-imp2
generic-kenzo-properties-imp2.cert: eat-general-properties.cert
generic-kenzo-properties-imp2.cert: 1dlop-dgop-do-cmp-d-ls-d-do.cert
generic-kenzo-properties-imp2.cert: 1dlop-dgop-binary-cmp-d-ls.cert
generic-kenzo-properties-imp2.cert: generic-theory.cert

# - generic-theory

# - help-invariant
help-invariant.cert: 1dlop-dgop-do-cmp-d-ls-d-do.cert

# - kenzo-remove-zeros
kenzo-remove-zeros.cert: dg-natural.cert
kenzo-remove-zeros.cert: binary-remove-zeros.cert

# - logbitp
logbitp.cert: top.cert
logbitp.cert: my-logbitp.cert
logbitp.cert: dg-natural.cert

# - my-logbitp
my-logbitp.cert: dg-binary.cert
my-logbitp.cert: my-member-lemmas.cert

# - my-member-lemmas
my-member-lemmas.cert: dg-list.cert

# - increasing-list
increasing-list.cert: dg-binary.cert
increasing-list.cert: binary-remove-zeros.cert

#==============================================================================
